> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Return Line Item

> This endpoint deletes an existing return line item.

### Body

<ParamField body="id" type="string">
  The ID of the return line item you want to delete
</ParamField>

### Response

<ResponseField name="id" type="string">
  The ID provided in the data tab may be used to identify the return
</ResponseField>

<ResponseField name="object" type="string">
  The object type
</ResponseField>

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, 0 if not.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request DELETE 'https://api.return.com/v1/return_line_items/:id' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
  		"user_group_id": "example_1"
  		"current_token": "abcdef"
  }'
  ```

  ```js Node.js theme={null}
  const returnLineItem = await stateset.returnItem.del({
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  });

  ```

  ```graphQL GraphQL theme={null}
                 mutation deleteReturnLineItem ($return_line_item_id: uuid!) {
                  delete_return_line_items(where: {id: {_eq: $return_line_item_id}}) {
                    affected_rows
                  }
                }
  ```

  ```python Python theme={null}
  return_line_item = stateset.return_line_item.del(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  )

  ```

  ```ruby Ruby theme={null}
  return_line_item = Stateset::ReturnLineItem.del(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  )

  ```

  ```php PHP theme={null}
  $return_line_item = Stateset\ReturnItem::del(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  );

  ```

  ```go Golang theme={null}
  returnLineItem, err := stateset.ReturnLineItem.Delete(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  )

  ```

  ```java Java theme={null}
  ReturnLineItem returnLineItem = stateset.returnLineItem.del(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  );

  ```

  ```csharp C# theme={null}
  var returnLineItem = await Stateset.ReturnLineItem.Delete(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  );

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "rli_1NXWPnCo6bFb1KQto6C8OWvE",
    "object": "return_line_item",
    "deleted": true
  }

  ```
</ResponseExample>
